Closed Bug 1152220 Opened 5 years ago Closed 4 years ago

[RTL][Email]The ellipsis is shown at left side of long LTR email address in headers of IMAP/SMTP settings.

Categories

(Firefox OS Graveyard :: Gaia::E-Mail, defect, P2)

ARM
Gonk (Firefox OS)
defect

Tracking

(b2g-v2.2 affected, b2g-master affected)

RESOLVED WORKSFORME
Tracking Status
b2g-v2.2 --- affected
b2g-master --- affected

People

(Reporter: lulu.tian, Unassigned)

References

Details

Attachments

(3 files)

[1.Description]:
[RTL][v2.2 & v3.0][Email]When user checks the  IMAP settings and SMTP settings in E-mail settings, the ellipsis is shown at left side of long LTR email address in headers.
See attachment:ellipsis_in_email_settings.png

[2.Testing Steps]: 
Prerequisite: Set system language as Arabic and log in an email account with long address.
1. Go to Email.
2. Tap Menu icon on the top left corner.
3. Tap "Settings" icon.
4. Tap one mail account.
5. Tap "IMAP settings" or "SMTP settings" and observe the email address in headers.

[3.Expected Result]: 
5. The ellipsis should be shown at right side of long LTR email address.

[4.Actual Result]: 
5. The ellipsis is shown at left side of long LTR email address.

[5.Reproduction build]: 
Device: Flame 2.2 (affected)
Build ID               20150407162504
Gaia Revision          ea735c21bfb0d78333213ff0376fce1eac89ead6
Gaia Date              2015-04-07 20:58:15
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/3f86ddb7f719
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150407.195227
Firmware Date          Tue Apr  7 19:52:39 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 3.0 (affected)
Build ID               20150407160201
Gaia Revision          84cbd4391fb7175d5380fa72c04d68873ce77e6d
Gaia Date              2015-04-07 17:33:14
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/078128c2600a
Gecko Version          40.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150407.193600
Firmware Date          Tue Apr  7 19:36:12 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,5/5

[7.TCID]: 
15309
QA Whiteboard: [rtl-impact]
Triage: P2 -- should be consistent with other LTR email truncations
Priority: -- → P2
Test case has been added in moztrap:
https://moztrap.mozilla.org/manage/case/15309/
Flags: in-moztrap+
QA Whiteboard: [rtl-impact] → [rtl-impact][MGSEI-Triage+]
QA Whiteboard: [rtl-impact][MGSEI-Triage+] → [rtl-impact][MGSEI-Triage+]MGSEI-RTL-3F
Whiteboard: MGSEI-RTL-3F
Attached image AriesKK_v2.5.png
This issue can be reproduced on latest AriesKK v2.5 build by the same STR in comment 0.
Actual Result:The ellipsis is shown at left side of long LTR email address in headers of IMAP/SMTP settings.

See attachment:AriesKK_v2.5.png.
Reproducing rate:10/10

Device:AriesKK v2.5 build
Build ID               20150814002719
Gaia Revision          39b121515ab8a8c3ea07f26d3ba1dd792e90217c
Gaia Date              2015-08-13 18:25:42
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/4e883591bb5dff021c108d3e30198a99547eed1e
Gecko Version          43.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20150813.235024
Firmware Date          Thu Aug 13 23:50:32 UTC 2015
Bootloader             s1
This problem cannot be reproduced on latest AriesKK v2.5 and FlameKK v2.5 by the STR in comment 0.
On IMAP/SMTP settings view, the ellipsis is shown at right side of long LTR email address. Closing as resolved worksforme.

See attachment: Can't repro_AriesKKv2.5.png
Reproduce rate: 0/5

Device information:
Aries KK v2.5 
Build ID               20151110094357
Gaia Revision          07baf613699fa6225359c7f04825c5caeb71d424
Gaia Date              2015-11-09 21:32:50
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/e14287b00a514a15418dfaa89287030c588ad19d
Gecko Version          44.0a2
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151110.090331
Firmware Date          Tue Nov 10 09:03:39 UTC 2015
Bootloader             s1

Flame KK 2.5 512mb 
Build ID               20151109004552
Gaia Revision          cf646c52bb947af28329b0a100df91d1b1f2a907
Gaia Date              2015-11-09 02:55:50
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/4eafef5b80f8985c94c4a067f130d37513e1a581
Gecko Version          44.0a2
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151109.041411
Firmware Date          Mon Nov  9 04:14:26 EST 2015
Bootloader             L1TC000118D0
Status: NEW → RESOLVED
Closed: 4 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.